Debian Bug report logs - #635724
vlc: FTBFS (kfreebsd-i386) Segmentation fault (core dumped) ../bin/vlc-cache-gen .

version graph

Packages: vlc, libqt4-gui; Maintainer for vlc is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for vlc is src:vlc. Maintainer for libqt4-gui is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for libqt4-gui is src:qt4-x11.

Reported by: Christoph Egger <christoph@debian.org>

Date: Thu, 28 Jul 2011 12:51:26 UTC

Severity: serious

Tags: patch, sid, wheezy

Fixed in version qt4-x11/4:4.7.3-6

Done: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#635724; Package src:vlc. (Thu, 28 Jul 2011 12:51:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 28 Jul 2011 12:51:39 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: vlc: FTBFS (kfreebsd-i386) Segmentation fault (core dumped) ../bin/vlc-cache-gen .
Date: Thu, 28 Jul 2011 14:06:45 +0200
Package: src:vlc
Version: 1.1.11-2
Severity: serious
Tags: sid wheezy
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-i386 buildds:

make[4]: Entering directory `/build/buildd-vlc_1.1.11-2-kfreebsd-i386-3OiWfZ/vlc-1.1.11/modules'
if test "i486-pc-kfreebsd-gnu" = "i486-pc-kfreebsd-gnu"; then \
		../bin/vlc-cache-gen . ; \
	else \
		echo "Cross-compilation: cache generation skipped!" ; \
	fi
/bin/bash: line 4: 11163 Segmentation fault      (core dumped) ../bin/vlc-cache-gen .
make[4]: *** [stamp-cache] Error 139
make[4]: Leaving directory `/build/buildd-vlc_1.1.11-2-kfreebsd-i386-3OiWfZ/vlc-1.1.11/modules'
make[3]: *** [all-recursive] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=vlc&arch=kfreebsd-i386&ver=1.1.11-2&stamp=1311826082

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#635724; Package src:vlc. (Tue, 02 Aug 2011 06:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 02 Aug 2011 06:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 635724@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 635724@bugs.debian.org, debian-bsd@lists.debian.org
Subject: vlc: FTBFS (kfreebsd-i386) Segmentation fault (core dumped) ../bin/vlc-cache-gen .
Date: Tue, 02 Aug 2011 08:32:29 +0200
[Message part 1 (text/plain, inline)]
Bringing the bsd team into the loop here.

Please take a look at [1]:

> Your package failed to build on the kfreebsd-i386 buildds:
> 
> make[4]: Entering directory `/build/buildd-vlc_1.1.11-2-kfreebsd-i386-3OiWfZ/vlc-1.1.11/modules'
> if test "i486-pc-kfreebsd-gnu" = "i486-pc-kfreebsd-gnu"; then \
> 		../bin/vlc-cache-gen . ; \
> 	else \
> 		echo "Cross-compilation: cache generation skipped!" ; \
> 	fi
> /bin/bash: line 4: 11163 Segmentation fault      (core dumped) ../bin/vlc-cache-gen .
> make[4]: *** [stamp-cache] Error 139
> make[4]: Leaving directory `/build/buildd-vlc_1.1.11-2-kfreebsd-i386-3OiWfZ/vlc-1.1.11/modules'
> make[3]: *** [all-recursive] Error 1
> 
> Full build log at
> https://buildd.debian.org/status/fetch.php?pkg=vlc&arch=kfreebsd-i386&ver=1.1.11-2&stamp=1311826082

vlc is currently involved in the libnotify 0.7 transition, so a timely fix would
be appreciated.

Cheers,
Michael


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=635724
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#635724; Package src:vlc. (Tue, 02 Aug 2011 14:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 02 Aug 2011 14:45:06 GMT) Full text and rfc822 format available.

Message #15 received at 635724@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 635724@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: vlc: FTBFS (kfreebsd-i386) Segmentation fault (core dumped) ../bin/vlc-cache-gen .
Date: Tue, 2 Aug 2011 16:41:30 +0200
[Message part 1 (text/plain, inline)]
Michael Biebl <biebl@debian.org> (02/08/2011):
> Bringing the bsd team into the loop here.
> 
> Please take a look at [1]:
> 
> > Your package failed to build on the kfreebsd-i386 buildds:
> > 
> > make[4]: Entering directory `/build/buildd-vlc_1.1.11-2-kfreebsd-i386-3OiWfZ/vlc-1.1.11/modules'
> > if test "i486-pc-kfreebsd-gnu" = "i486-pc-kfreebsd-gnu"; then \
> > 		../bin/vlc-cache-gen . ; \
> > 	else \
> > 		echo "Cross-compilation: cache generation skipped!" ; \
> > 	fi
> > /bin/bash: line 4: 11163 Segmentation fault      (core dumped) ../bin/vlc-cache-gen .
> > make[4]: *** [stamp-cache] Error 139
> > make[4]: Leaving directory `/build/buildd-vlc_1.1.11-2-kfreebsd-i386-3OiWfZ/vlc-1.1.11/modules'
> > make[3]: *** [all-recursive] Error 1
> > 
> > Full build log at
> > https://buildd.debian.org/status/fetch.php?pkg=vlc&arch=kfreebsd-i386&ver=1.1.11-2&stamp=1311826082
> 
> vlc is currently involved in the libnotify 0.7 transition, so a timely fix would
> be appreciated.

FWIW the build-deps were installed in asdfasdf's sid chroot earlier
today. I'll look into doing the same on io soon.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#635724; Package src:vlc. (Tue, 02 Aug 2011 14:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 02 Aug 2011 14:57:06 GMT) Full text and rfc822 format available.

Message #20 received at 635724@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: Michael Biebl <biebl@debian.org>, 635724@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: vlc: FTBFS (kfreebsd-i386) Segmentation fault (core dumped) ../bin/vlc-cache-gen .
Date: Tue, 2 Aug 2011 16:54:12 +0200
2011/8/2 Cyril Brulebois <kibi@debian.org>:
>> vlc is currently involved in the libnotify 0.7 transition, so a timely fix would
>> be appreciated.
>
> FWIW the build-deps were installed in asdfasdf's sid chroot earlier
> today. I'll look into doing the same on io soon.

Note that this FTBFS only happens on i386.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#635724; Package src:vlc. (Tue, 02 Aug 2011 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 02 Aug 2011 16:30:03 GMT) Full text and rfc822 format available.

Message #25 received at 635724@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 635724@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>, debian-bsd@lists.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#635724: vlc: FTBFS (kfreebsd-i386) Segmentation fault (core dumped) ../bin/vlc-cache-gen .
Date: Tue, 02 Aug 2011 18:26:15 +0200
On Tue, Aug 02, 2011 at 16:41:30 (CEST), Cyril Brulebois wrote:

> Michael Biebl <biebl@debian.org> (02/08/2011):
>> Bringing the bsd team into the loop here.
>> 
>> Please take a look at [1]:
>> 
>> > Your package failed to build on the kfreebsd-i386 buildds:
>> > 
>> > make[4]: Entering directory `/build/buildd-vlc_1.1.11-2-kfreebsd-i386-3OiWfZ/vlc-1.1.11/modules'
>> > if test "i486-pc-kfreebsd-gnu" = "i486-pc-kfreebsd-gnu"; then \
>> > 		../bin/vlc-cache-gen . ; \
>> > 	else \
>> > 		echo "Cross-compilation: cache generation skipped!" ; \
>> > 	fi
>> > /bin/bash: line 4: 11163 Segmentation fault      (core dumped) ../bin/vlc-cache-gen .
>> > make[4]: *** [stamp-cache] Error 139
>> > make[4]: Leaving directory `/build/buildd-vlc_1.1.11-2-kfreebsd-i386-3OiWfZ/vlc-1.1.11/modules'
>> > make[3]: *** [all-recursive] Error 1
>> > 
>> > Full build log at
>> > https://buildd.debian.org/status/fetch.php?pkg=vlc&arch=kfreebsd-i386&ver=1.1.11-2&stamp=1311826082
>> 
>> vlc is currently involved in the libnotify 0.7 transition, so a timely fix would
>> be appreciated.
>
> FWIW the build-deps were installed in asdfasdf's sid chroot earlier
> today. I'll look into doing the same on io soon.

I managed to reproduce the segmentation fault on io.debian.net, and got
this backtrace:

(gdb) bt full
#0  0x2c04225a in QVariantAnimation::registerInterpolator(QVariant (*)(void const*, void const*, double), int) ()
   from /usr/lib/libQtCore.so.4
No symbol table info available.
#1  0x2b67c5e3 in ?? () from /usr/lib/libQtGui.so.4
No symbol table info available.
#2  0x281e0f88 in __cxa_finalize () from /lib/i386-kfreebsd-gnu/libc.so.0.1
No symbol table info available.
#3  0x2b6726b4 in ?? () from /usr/lib/libQtGui.so.4
No symbol table info available.
#4  0x2bda33c0 in _fini () from /usr/lib/libQtGui.so.4
No symbol table info available.
#5  0x2805af5e in ?? () from /lib/ld.so.1
No symbol table info available.
#6  0x2805ba07 in ?? () from /lib/ld.so.1
No symbol table info available.
#7  0x28337c44 in ?? () from /lib/i386-kfreebsd-gnu/libdl.so.2
No symbol table info available.
#8  0x2805602b in ?? () from /lib/ld.so.1
No symbol table info available.
#9  0x2833803c in ?? () from /lib/i386-kfreebsd-gnu/libdl.so.2
No symbol table info available.
#10 0x28337c7a in dlclose () from /lib/i386-kfreebsd-gnu/libdl.so.2
No symbol table info available.
#11 0x281249cb in module_Unload (handle=0x812da78) at modules/os.c:236
No locals.
#12 0x2811ee25 in DeleteModule (p_bank=<value optimized out>, p_module=0x111) at modules/modules.c:1167
        pp_self = <value optimized out>
#13 0x2811f0e7 in module_EndBank (p_this=0x804a004, b_plugins=true) at modules/modules.c:191
        p_bank = <value optimized out>
#14 0x2809a636 in libvlc_InternalCleanup (p_libvlc=0x804a004) at libvlc.c:1060
        p_playlist = <value optimized out>
        psz_pidfile = <value optimized out>
#15 0x2806ef46 in libvlc_release (p_instance=0x8049f08) at control/core.c:107
        lock = 0x8049f20
        refs = 0
#16 0x08048861 in main (argc=2, argv=0xbfbfe720) at cachegen.c:113
        vlc_argv = {0x8048afd "--ignore-config", 0x8048b0d "--quiet", 0x8048b15 "--no-media-library", 0x8049f70 "--plugin-path=.", 
          0x8048b3e "--", 0x0, 
          0xbfbfe72c "\374\350\277\277\f\351\277\277\030\351\277\277)\351\277\277\064\351\277\277B\351\277\277\062\356\277\277B\356\277\277W\356\277\277m\356\277\277\232\356\277\277\275\356\277\277\311\356\277\277\340\356\277\277\364\356\277\277\374\356\277\277\023\357\277\277$\357\277\277D\357\277\277Z\357\277\277"}
        vlc = <value optimized out>
        path = 0xbfbfe8fa "."
        arg = 0x8049f70 "--plugin-path=."
        vlc_argc = <value optimized out>
        i = 1
        opts = {{name = 0x8048b53 "force", has_arg = 0, flag = 0x0, val = 102}, {name = 0x8048b59 "help", has_arg = 0, flag = 0x0, 
            val = 104}, {name = 0x8048b5e "version", has_arg = 0, flag = 0x0, val = 86}, {name = 0x0, has_arg = 0, flag = 0x0, 
            val = 0}}
        c = <value optimized out>
        force = <value optimized out>

note that in frame #12, the parameter p_module is set to 0x1111, which
looks suspicious. The code in modules/modules.c:191  looks like this:

(gdb) l module_EndBank 
138      * bank in case of success.
139      * \param p_this vlc object structure
140      * \return nothing
141      */
142     void module_EndBank( vlc_object_t *p_this, bool b_plugins )
143     {
144         module_bank_t *p_bank = p_module_bank;
145
146         assert (p_bank != NULL);
147

[...]


189
190         while( p_bank->head != NULL )
191             DeleteModule( p_bank, p_bank->head );
192
193         free( p_bank );
194     }

http://git.videolan.org/?p=vlc/vlc-1.1.git;a=blob;f=src/modules/modules.c


Maybe DeleteModule does something weird with p_bank? (defined at the end
of the same file)

As vlc-cache-gen runs single threaded, I wouldn't suspect a
syncronization issue. Interestingly, this code seems to work on all
architectures but kfreebsd-i386, so there must be something special here
that corrupts the p_bank list.


-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#635724; Package src:vlc. (Tue, 02 Aug 2011 17:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 02 Aug 2011 17:03:03 GMT) Full text and rfc822 format available.

Message #30 received at 635724@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 635724@bugs.debian.org
Subject: vlc: FTBFS (kfreebsd-i386)
Date: Tue, 02 Aug 2011 18:59:18 +0200 (CEST)
Also build of vlc  1.1.10-1 in sid chroot segfaults, so it looks like bug in some other package.
Version of gcc , eglibc,  ...?

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#635724; Package src:vlc. (Tue, 02 Aug 2011 18:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Rémi Denis-Courmont" <remi@remlab.net>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 02 Aug 2011 18:15:06 GMT) Full text and rfc822 format available.

Message #35 received at 635724@bugs.debian.org (full text, mbox):

From: "Rémi Denis-Courmont" <remi@remlab.net>
To: Reinhard Tartler <siretart@tauware.de>, 635724@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>, debian-bsd@lists.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#635724: vlc: FTBFS (kfreebsd-i386) Segmentation fault (core dumped) ../bin/vlc-cache-gen .
Date: Tue, 2 Aug 2011 21:14:21 +0300
	Hello,

Le mardi 2 août 2011 19:26:15 Reinhard Tartler, vous avez écrit :
> I managed to reproduce the segmentation fault on io.debian.net, and got
> this backtrace:
> 
> (gdb) bt full
> #0  0x2c04225a in QVariantAnimation::registerInterpolator(QVariant (*)(void
> const*, void const*, double), int) () from /usr/lib/libQtCore.so.4
> No symbol table info available.
> #1  0x2b67c5e3 in ?? () from /usr/lib/libQtGui.so.4
> No symbol table info available.
> #2  0x281e0f88 in __cxa_finalize () from /lib/i386-kfreebsd-gnu/libc.so.0.1
> No symbol table info available.
> #3  0x2b6726b4 in ?? () from /usr/lib/libQtGui.so.4
> No symbol table info available.
> #4  0x2bda33c0 in _fini () from /usr/lib/libQtGui.so.4
> No symbol table info available.
> #5  0x2805af5e in ?? () from /lib/ld.so.1
> No symbol table info available.
> #6  0x2805ba07 in ?? () from /lib/ld.so.1
> No symbol table info available.
> #7  0x28337c44 in ?? () from /lib/i386-kfreebsd-gnu/libdl.so.2
> No symbol table info available.
> #8  0x2805602b in ?? () from /lib/ld.so.1
> No symbol table info available.
> #9  0x2833803c in ?? () from /lib/i386-kfreebsd-gnu/libdl.so.2
> No symbol table info available.
> #10 0x28337c7a in dlclose () from /lib/i386-kfreebsd-gnu/libdl.so.2
> No symbol table info available.
> #11 0x281249cb in module_Unload (handle=0x812da78) at modules/os.c:236
> No locals.
> #12 0x2811ee25 in DeleteModule (p_bank=<value optimized out>,
> p_module=0x111) at modules/modules.c:1167 pp_self = <value optimized out>
> #13 0x2811f0e7 in module_EndBank (p_this=0x804a004, b_plugins=true) at
> modules/modules.c:191 p_bank = <value optimized out>
> #14 0x2809a636 in libvlc_InternalCleanup (p_libvlc=0x804a004) at
> libvlc.c:1060 p_playlist = <value optimized out>
>         psz_pidfile = <value optimized out>
> #15 0x2806ef46 in libvlc_release (p_instance=0x8049f08) at
> control/core.c:107 lock = 0x8049f20
>         refs = 0
> #16 0x08048861 in main (argc=2, argv=0xbfbfe720) at cachegen.c:113
>         vlc_argv = {0x8048afd "--ignore-config", 0x8048b0d "--quiet",
> 0x8048b15 "--no-media-library", 0x8049f70 "--plugin-path=.", 0x8048b3e
> "--", 0x0,
>           0xbfbfe72c
> "\374\350\277\277\f\351\277\277\030\351\277\277)\351\277\277\064\351\277\2
> 77B\351\277\277\062\356\277\277B\356\277\277W\356\277\277m\356\277\277\232\
> 356\277\277\275\356\277\277\311\356\277\277\340\356\277\277\364\356\277\277
> \374\356\277\277\023\357\277\277$\357\277\277D\357\277\277Z\357\277\277"}
> vlc = <value optimized out>
>         path = 0xbfbfe8fa "."
>         arg = 0x8049f70 "--plugin-path=."
>         vlc_argc = <value optimized out>
>         i = 1
>         opts = {{name = 0x8048b53 "force", has_arg = 0, flag = 0x0, val =
> 102}, {name = 0x8048b59 "help", has_arg = 0, flag = 0x0, val = 104}, {name
> = 0x8048b5e "version", has_arg = 0, flag = 0x0, val = 86}, {name = 0x0,
> has_arg = 0, flag = 0x0, val = 0}}
>         c = <value optimized out>
>         force = <value optimized out>
> 
> note that in frame #12, the parameter p_module is set to 0x1111, which
> looks suspicious. The code in modules/modules.c:191  looks like this:

I rather suspect the debug information are corrupted by compiler optimizations 
at this point. Otherwise, DeleteModule() would crash before module_Unload() 
gets to invoke dlclose(), as it dereferences p_module.

To me, it looks more like Qt4 has (yet another) bug in its static object 
destructors, which makes it crash dlclose(). VLC may be the only application 
dlopen()'ing -a shared object that links with- Qt4. And if it's not, it might 
still well be the only one that does so during as part of its build process.

-- 
Rémi Denis-Courmont
http://www.remlab.net/
http://fi.linkedin.com/in/remidenis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#635724; Package src:vlc. (Tue, 02 Aug 2011 21:15:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 02 Aug 2011 21:17:09 GMT) Full text and rfc822 format available.

Message #40 received at 635724@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Rémi Denis-Courmont <remi@remlab.net>
Cc: 635724@bugs.debian.org
Subject: Re: Bug#635724: vlc: FTBFS (kfreebsd-i386) Segmentation fault (core dumped) ../bin/vlc-cache-gen .
Date: Tue, 02 Aug 2011 23:04:34 +0200
reassign 635724 libqt4-gui,vlc
stop

On Tue, Aug 02, 2011 at 20:14:21 (CEST), Rémi Denis-Courmont wrote:

> 	Hello,

[...]

> I rather suspect the debug information are corrupted by compiler optimizations 
> at this point. Otherwise, DeleteModule() would crash before module_Unload() 
> gets to invoke dlclose(), as it dereferences p_module.
>
> To me, it looks more like Qt4 has (yet another) bug in its static object 
> destructors, which makes it crash dlclose(). VLC may be the only application 
> dlopen()'ing -a shared object that links with- Qt4. And if it's not, it might 
> still well be the only one that does so during as part of its build process.

Sounds plausible to me. Qt4 maintainers, could you please comment on this?

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Bug reassigned from package 'src:vlc' to 'libqt4-gui,vlc'. Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Tue, 02 Aug 2011 21:17:32 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions vlc/1.1.11-2. Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Tue, 02 Aug 2011 21:17:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#635724; Package libqt4-gui,vlc. (Wed, 03 Aug 2011 07:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 03 Aug 2011 07:12:06 GMT) Full text and rfc822 format available.

Message #49 received at 635724@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Reinhard Tartler <siretart@tauware.de>
Cc: "Rémi Denis-Courmont" <remi@remlab.net>, 635724@bugs.debian.org
Subject: Re: Bug#635724: vlc: FTBFS (kfreebsd-i386) Segmentation fault (core dumped) ../bin/vlc-cache-gen .
Date: Wed, 3 Aug 2011 10:10:10 +0300
[Message part 1 (text/plain, inline)]
Hello,

On trečiadienis 03 Rugpjūtis 2011 00:04:34 Reinhard Tartler wrote:
> reassign 635724 libqt4-gui,vlc
> stop
> 
> On Tue, Aug 02, 2011 at 20:14:21 (CEST), Rémi Denis-Courmont wrote:
> > 	Hello,
> 
> [...]
> 
> > I rather suspect the debug information are corrupted by compiler
> > optimizations at this point. Otherwise, DeleteModule() would crash
> > before module_Unload() gets to invoke dlclose(), as it dereferences
> > p_module.
> > 
> > To me, it looks more like Qt4 has (yet another) bug in its static object
> > destructors, which makes it crash dlclose(). VLC may be the only
> > application dlopen()'ing -a shared object that links with- Qt4. And if
> > it's not, it might still well be the only one that does so during as
> > part of its build process.
> 
> Sounds plausible to me. Qt4 maintainers, could you please comment on this?

I don't see how Qt4 can be at fault here. vlc 1.1.10-1+b1 [1] has built fine 
with libqt4-dev 4:4.7.3-4. Current qt4-x11 4:4.7.3-5 do not have such changes 
which could have caused this. So I suspect changes in the toolchain or broken 
gcc which was used to compile qt4-x11 4:4.7.3-5 with. By the way, the 
backtrace from [2] is not very useful since it was generated without libqt4-
dbg installed.

[1] https://buildd.debian.org/status/fetch.php?pkg=vlc&arch=kfreebsd-
i386&ver=1.1.10-1%2Bb1&stamp=1309445176

[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=635724#35

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#635724; Package libqt4-gui,vlc. (Wed, 03 Aug 2011 11:39:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 03 Aug 2011 11:39:55 GMT) Full text and rfc822 format available.

Message #54 received at 635724@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Modestas Vainius <modax@debian.org>
Cc: 635724@bugs.debian.org, Rémi Denis-Courmont <remi@remlab.net>, Michael Biebl <biebl@debian.org>, Christoph Egger <christoph@debian.org>, Cyril Brulebois <kibi@debian.org>, Robert Millan <rmh@debian.org>, Petr Salinger <Petr.Salinger@seznam.cz>, debian-bsd@lists.debian.org, debian-qt-kde@lists.debian.org
Subject: Re: Bug#635724: vlc: FTBFS (kfreebsd-i386) Segmentation fault (core dumped) ../bin/vlc-cache-gen .
Date: Wed, 03 Aug 2011 13:35:55 +0200
On Wed, Aug 03, 2011 at 09:10:10 (CEST), Modestas Vainius wrote:

> Hello,
>
> On trečiadienis 03 Rugpjūtis 2011 00:04:34 Reinhard Tartler wrote:
>> reassign 635724 libqt4-gui,vlc
>> stop
>> 
>> On Tue, Aug 02, 2011 at 20:14:21 (CEST), Rémi Denis-Courmont wrote:
>> > 	Hello,
>> 
>> [...]
>> 
>> > I rather suspect the debug information are corrupted by compiler
>> > optimizations at this point. Otherwise, DeleteModule() would crash
>> > before module_Unload() gets to invoke dlclose(), as it dereferences
>> > p_module.
>> > 
>> > To me, it looks more like Qt4 has (yet another) bug in its static object
>> > destructors, which makes it crash dlclose(). VLC may be the only
>> > application dlopen()'ing -a shared object that links with- Qt4. And if
>> > it's not, it might still well be the only one that does so during as
>> > part of its build process.
>> 
>> Sounds plausible to me. Qt4 maintainers, could you please comment on this?
>
> I don't see how Qt4 can be at fault here. vlc 1.1.10-1+b1 [1] has built fine 
> with libqt4-dev 4:4.7.3-4. Current qt4-x11 4:4.7.3-5 do not have such changes 
> which could have caused this. So I suspect changes in the toolchain or broken 
> gcc which was used to compile qt4-x11 4:4.7.3-5 with. By the way, the 
> backtrace from [2] is not very useful since it was generated without libqt4-
> dbg installed.

Here is a backtrace with libqt4-dbg installed:

(gdb) bt full
#0  count (func=0, interpolationType=67) at ../../include/QtCore/../../src/corelib/tools/qvector.h:246
No locals.
#1  QVariantAnimation::registerInterpolator (func=0, interpolationType=67) at animation/qvariantanimation.cpp:437
        interpolators = 0x0
        locker = {val = 0}
#2  0x2b67c5e3 in qRegisterAnimationInterpolator<QColor> (this=0x2bfe88e8, __in_chrg=<value optimized out>)
    at ../../include/QtCore/../../src/corelib/animation/qvariantanimation.h:121
No locals.
#3  qUnregisterGuiGetInterpolator (this=0x2bfe88e8, __in_chrg=<value optimized out>) at animation/qguivariantanimation.cpp:82
No locals.
#4  qUnregisterGuiGetInterpolator__dest_class__::~qUnregisterGuiGetInterpolator__dest_class__ (this=0x2bfe88e8,
    __in_chrg=<value optimized out>) at animation/qguivariantanimation.cpp:94
No locals.
#5  0x281e0f88 in __cxa_finalize () from /lib/i386-kfreebsd-gnu/libc.so.0.1
No symbol table info available.
#6  0x2b6726b4 in __do_global_dtors_aux () from /usr/lib/libQtGui.so.4
        qt_resource_data = "\000\000\v\257\211PNG\r\n\032\n\000\000\000\rIHDR\000\000\000@\000\000\000@\b\006\000\000\000\252iq\336\000\000\000\004sBIT\b\b\b\b|\bd\210\000\000\000\tpHYs\000\000\000\377\000\000\000\377\001\235\205@\032\000\000\000\031tEXtSoftware\000www.inkscape.org\233\356<\032\000\000\v,IDATx\234\345[{pT\325\035\376\356\276\263\233\315;$!\217\r$\306\000!\001*/\t\004\024J\203\370\266>(v\324\216:\255\265c\213\332j\333\221G\265Z;\323\241\316\024\307\a\266\276F\031\352\v\024!\022\205\220\030\f \t\ty\001\t\230\220\220\204\274v\357\336\347\271\247\177l\022\211{\357f\303\336\215q\372\315\060\303\071\277o\317\371\335/\347\234{\316\357\374.C)\305Xp\026\273\254\000\n\001\254\006\060\333hb\342g\024\070\\\311i\226\030\223\211\061\231\314\fe\030\206\360^\322\313\363J\213\310\323jIR\312e\211~Z\276\271\256g\314\016\276G0"...
        qt_resource_struct = "\000\000\000\000\000\002\000\000\000\001\000\000\000\001\000\000\000\000\000\002\000\000\000\001\000\000\000\002\000\000\000\030\000\002\000\000\000\001\000\000\000\003\000\000\000\064\000\002\000\000\000\001\000\000\000\004\000\000\000F\000\000\000\000\000\001\000\000\000"
        qInitResources_qmessagebox__init_variable__ = 1
        qt_resource_name = "\000\t\006\063\\\270\000t\000r\000o\000l\000l\000t\000e\000c\000h\000\v\t\215\300(\000q\000m\000e\000s\000s\000a\000g\000e\000b\000o\000x\000\006\a\003}\303\000i\000m\000a\000g\000e\000s\000\r\001\361\351g\000q\000t\000l\000o\000g\000o\000-\000\066\000\064\000.\000p\000n\000g"
        qCleanupResources_qmessagebox__dest_instance__ = {<No data fields>}
#7  0x2bda33c0 in _fini () from /usr/lib/libQtGui.so.4
No symbol table info available.
#8  0x2805af5e in ?? () from /lib/ld.so.1
No symbol table info available.
#9  0x2805ba07 in ?? () from /lib/ld.so.1
No symbol table info available.
#10 0x28337c44 in ?? () from /lib/i386-kfreebsd-gnu/libdl.so.2
No symbol table info available.
#11 0x2805602b in ?? () from /lib/ld.so.1
No symbol table info available.
#12 0x2833803c in ?? () from /lib/i386-kfreebsd-gnu/libdl.so.2
No symbol table info available.
#13 0x28337c7a in dlclose () from /lib/i386-kfreebsd-gnu/libdl.so.2
No symbol table info available.
#14 0x281249cb in module_Unload (handle=0x812da78) at modules/os.c:236
No locals.
#15 0x2811ee25 in DeleteModule (p_bank=<value optimized out>, p_module=0x111) at modules/modules.c:1167
        pp_self = <value optimized out>
#16 0x2811f0e7 in module_EndBank (p_this=0x804a004, b_plugins=true) at modules/modules.c:191
        p_bank = <value optimized out>
#17 0x2809a636 in libvlc_InternalCleanup (p_libvlc=0x804a004) at libvlc.c:1060
        p_playlist = <value optimized out>
        psz_pidfile = <value optimized out>
#18 0x2806ef46 in libvlc_release (p_instance=0x8049f08) at control/core.c:107
        lock = 0x8049f20
        refs = 0
#19 0x08048861 in main (argc=2, argv=0xbfbfe720) at cachegen.c:113
        vlc_argv = {0x8048afd "--ignore-config", 0x8048b0d "--quiet", 0x8048b15 "--no-media-library", 0x8049f70 "--plugin-path=.",
          0x8048b3e "--", 0x0,
          0xbfbfe72c "\374\350\277\277\f\351\277\277\030\351\277\277)\351\277\277\064\351\277\277B\351\277\277\062\356\277\277B\356\277\277W\356\277\277m\356\277\277\232\356\277\277\275\356\277\277\311\356\277\277\340\356\277\277\364\356\277\277\374\356\277\277\023\357\277\277$\357\277\277D\357\277\277Z\357\277\277"}
        vlc = <value optimized out>
        path = 0xbfbfe8fa "."
        arg = 0x8049f70 "--plugin-path=."
        vlc_argc = <value optimized out>
        i = 1
        opts = {{name = 0x8048b53 "force", has_arg = 0, flag = 0x0, val = 102}, {name = 0x8048b59 "help", has_arg = 0, flag = 0x0,
            val = 104}, {name = 0x8048b5e "version", has_arg = 0, flag = 0x0, val = 86}, {name = 0x0, has_arg = 0, flag = 0x0,
            val = 0}}
        c = <value optimized out>
        force = <value optimized out>
(gdb)              


This seems a bit more enlightning. In
animation/qvariantanimation.cpp:437, the function
QVariantAnimation::registerInterpolator is defined as follows:

430     void QVariantAnimation::registerInterpolator(QVariantAnimation::Interpolator func, int interpolationType)
431     {
432         // will override any existing interpolators
433         QInterpolatorVector *interpolators = registeredInterpolators();
434         QMutexLocker locker(QMutexPool::globalInstanceGet(interpolators));
435         if (int(interpolationType) >= interpolators->count())
436             interpolators->resize(int(interpolationType) + 1);
437         interpolators->replace(interpolationType, func);
438     }

From frame #1, we see that the local variable "interpolators" has the
value '0x0'. This pointer is dereferenced in lines 435 and 437. I'm
still not sure why this happens only on kfreebsd-i386, but I guess the
problem is in this area.

Doing some more web research, I believe this bug has been reported here:

https://bugs.launchpad.net/ubuntu/+source/qt4-x11/+bug/785318
and https://bugreports.qt.nokia.com//browse/QTBUG-7564

Not sure what is the right thing to do here. Maybe there was indeed
recently some change in the toolchain, as Petr suggests, that affects
the order of execution of global destructors and causes this
segfault. OTOH, maybe the function registeredInterpolators should just
return if registeredInterpolators() returns a 0 pointer.

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#635724; Package libqt4-gui,vlc. (Wed, 03 Aug 2011 11:42:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 03 Aug 2011 11:42:20 GMT) Full text and rfc822 format available.

Message #59 received at 635724@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Modestas Vainius <modax@debian.org>
Cc: 635724@bugs.debian.org, Rémi Denis-Courmont <remi@remlab.net>, Michael Biebl <biebl@debian.org>, Christoph Egger <christoph@debian.org>, Cyril Brulebois <kibi@debian.org>, Robert Millan <rmh@debian.org>, Petr Salinger <Petr.Salinger@seznam.cz>, debian-bsd@lists.debian.org, debian-qt-kde@lists.debian.org
Subject: Re: Bug#635724: vlc: FTBFS (kfreebsd-i386) Segmentation fault (core dumped) ../bin/vlc-cache-gen .
Date: Wed, 03 Aug 2011 13:41:19 +0200
On Wed, Aug 03, 2011 at 13:35:55 (CEST), Reinhard Tartler wrote:

[...]

> Not sure what is the right thing to do here. Maybe there was indeed
> recently some change in the toolchain, as Petr suggests, that affects
> the order of execution of global destructors and causes this
> segfault. OTOH, maybe the function registeredInterpolators should just
> return if registeredInterpolators() returns a 0 pointer.

By sheer luck, I found this in google's results: http://pastebin.com/W38uFJEQ

In case it vanishes, here is a copy of the contents of the paste:

From 3031f1b1ebafe6dfdb99b4a745cac3f0887a8006 Mon Sep 17 00:00:00 2001
From: Thiago Macieira <thiago.macieira@nokia.com>
Date: Wed, 26 Jan 2011 14:06:11 +0100
Subject: [PATCH] Check if the interpolators have already been deleted.

During application destruction, the order in which static destructors
is run is undetermined. So avoid a null-pointer dereference.

Task-number: QTBUG-16855
Reviewed-by: pending
---
 src/corelib/animation/qvariantanimation.cpp |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

diff --git a/src/corelib/animation/qvariantanimation.cpp b/src/corelib/animation/qvariantanimation.cpp
index 212e85d..c76cb89 100644
--- a/src/corelib/animation/qvariantanimation.cpp
+++ b/src/corelib/animation/qvariantanimation.cpp
@@ -431,12 +431,17 @@ void QVariantAnimation::registerInterpolator(QVariantAnimation::Interpolator fun
 {
     // will override any existing interpolators
     QInterpolatorVector *interpolators = registeredInterpolators();
+    // When built on solaris with GCC, the destructors can be called
+    // in such an order that we get here with interpolators == NULL,
+    // to continue causes the app to crash on exit with a SEGV
+    if (interpolators) {
 #ifndef QT_NO_THREAD
-    QMutexLocker locker(QMutexPool::globalInstanceGet(interpolators));
+        QMutexLocker locker(QMutexPool::globalInstanceGet(interpolators));
 #endif
-    if (int(interpolationType) >= interpolators->count())
-        interpolators->resize(int(interpolationType) + 1);
-    interpolators->replace(interpolationType, func);
+        if (int(interpolationType) >= interpolators->count())
+            interpolators->resize(int(interpolationType) + 1);
+        interpolators->replace(interpolationType, func);
+    }
 }
 
 
-- 
1.7.3.2.431.ge2f5c


Qt4 Maintainers, can you perhaps check if this patch has been
approved or even incorporated upstream?

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Added tag(s) patch. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Wed, 03 Aug 2011 12:10:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#635724; Package libqt4-gui,vlc. (Thu, 04 Aug 2011 10:18:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 04 Aug 2011 10:18:16 GMT) Full text and rfc822 format available.

Message #66 received at 635724@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 635724@bugs.debian.org
Cc: Modestas Vainius <modax@debian.org>, Cyril Brulebois <kibi@debian.org>, Rémi Denis-Courmont <remi@remlab.net>, Michael Biebl <biebl@debian.org>, Robert Millan <rmh@debian.org>, debian-bsd@lists.debian.org, debian-qt-kde@lists.debian.org, Christoph Egger <christoph@debian.org>, Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#635724: vlc: FTBFS (kfreebsd-i386) Segmentation fault (core dumped) ../bin/vlc-cache-gen .
Date: Thu, 04 Aug 2011 12:11:12 +0200
block 622363 by 635724
stop

On Wed, Aug 03, 2011 at 13:41:19 (CEST), Reinhard Tartler wrote:
[...]

> Qt4 Maintainers, can you perhaps check if this patch has been
> approved or even incorporated upstream?

Indeed, it seems it did make it into upstream:

http://qt.gitorious.org/qt/qt/commit/861333040c252fa0f53894b604f7cb768c085281

That patch depends on this commit:

http://qt.gitorious.org/qt/qt/commit/6b92cb8ec199159d629c013fbd4b4b7ab8ad60db

A quick upload would be very appreciated as this bug effectively blocks
the libnotify transition. Thanks in advance!

Cheers,
Reinhard

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Added indication that bug 635724 blocks 622363 Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Thu, 04 Aug 2011 10:18:23 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Tue, 09 Aug 2011 15:45:05 GMT) Full text and rfc822 format available.

Reply sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
You have taken responsibility. (Wed, 10 Aug 2011 10:39:42 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Wed, 10 Aug 2011 10:39:47 GMT) Full text and rfc822 format available.

Message #75 received at 635724-close@bugs.debian.org (full text, mbox):

From: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
To: 635724-close@bugs.debian.org
Subject: Bug#635724: fixed in qt4-x11 4:4.7.3-6
Date: Wed, 10 Aug 2011 10:35:47 +0000
Source: qt4-x11
Source-Version: 4:4.7.3-6

We believe that the bug you reported is fixed in the latest version of
qt4-x11, which is due to be installed in the Debian FTP archive:

libqt4-assistant_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-assistant_4.7.3-6_amd64.deb
libqt4-core_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-core_4.7.3-6_amd64.deb
libqt4-dbg_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-dbg_4.7.3-6_amd64.deb
libqt4-dbus_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-dbus_4.7.3-6_amd64.deb
libqt4-declarative-folderlistmodel_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-declarative-folderlistmodel_4.7.3-6_amd64.deb
libqt4-declarative-gestures_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-declarative-gestures_4.7.3-6_amd64.deb
libqt4-declarative-particles_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-declarative-particles_4.7.3-6_amd64.deb
libqt4-declarative_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-declarative_4.7.3-6_amd64.deb
libqt4-designer-dbg_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-designer-dbg_4.7.3-6_amd64.deb
libqt4-designer_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-designer_4.7.3-6_amd64.deb
libqt4-dev_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-dev_4.7.3-6_amd64.deb
libqt4-gui_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-gui_4.7.3-6_amd64.deb
libqt4-help_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-help_4.7.3-6_amd64.deb
libqt4-network_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-network_4.7.3-6_amd64.deb
libqt4-opengl-dev_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-opengl-dev_4.7.3-6_amd64.deb
libqt4-opengl_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-opengl_4.7.3-6_amd64.deb
libqt4-phonon_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-phonon_4.7.3-6_amd64.deb
libqt4-private-dev_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-private-dev_4.7.3-6_amd64.deb
libqt4-qt3support-dbg_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-qt3support-dbg_4.7.3-6_amd64.deb
libqt4-qt3support_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-qt3support_4.7.3-6_amd64.deb
libqt4-script-dbg_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-script-dbg_4.7.3-6_amd64.deb
libqt4-script_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-script_4.7.3-6_amd64.deb
libqt4-scripttools_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-scripttools_4.7.3-6_amd64.deb
libqt4-sql-ibase_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-sql-ibase_4.7.3-6_amd64.deb
libqt4-sql-mysql_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-sql-mysql_4.7.3-6_amd64.deb
libqt4-sql-odbc_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-sql-odbc_4.7.3-6_amd64.deb
libqt4-sql-psql_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-sql-psql_4.7.3-6_amd64.deb
libqt4-sql-sqlite2_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-sql-sqlite2_4.7.3-6_amd64.deb
libqt4-sql-sqlite_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-sql-sqlite_4.7.3-6_amd64.deb
libqt4-sql-tds_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-sql-tds_4.7.3-6_amd64.deb
libqt4-sql_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-sql_4.7.3-6_amd64.deb
libqt4-svg_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-svg_4.7.3-6_amd64.deb
libqt4-test_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-test_4.7.3-6_amd64.deb
libqt4-webkit-dbg_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-webkit-dbg_4.7.3-6_amd64.deb
libqt4-webkit_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-webkit_4.7.3-6_amd64.deb
libqt4-xml_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-xml_4.7.3-6_amd64.deb
libqt4-xmlpatterns-dbg_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-xmlpatterns-dbg_4.7.3-6_amd64.deb
libqt4-xmlpatterns_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqt4-xmlpatterns_4.7.3-6_amd64.deb
libqtcore4_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqtcore4_4.7.3-6_amd64.deb
libqtgui4_4.7.3-6_amd64.deb
  to main/q/qt4-x11/libqtgui4_4.7.3-6_amd64.deb
qt4-bin-dbg_4.7.3-6_amd64.deb
  to main/q/qt4-x11/qt4-bin-dbg_4.7.3-6_amd64.deb
qt4-demos-dbg_4.7.3-6_amd64.deb
  to main/q/qt4-x11/qt4-demos-dbg_4.7.3-6_amd64.deb
qt4-demos_4.7.3-6_amd64.deb
  to main/q/qt4-x11/qt4-demos_4.7.3-6_amd64.deb
qt4-designer_4.7.3-6_amd64.deb
  to main/q/qt4-x11/qt4-designer_4.7.3-6_amd64.deb
qt4-dev-tools_4.7.3-6_amd64.deb
  to main/q/qt4-x11/qt4-dev-tools_4.7.3-6_amd64.deb
qt4-doc-html_4.7.3-6_all.deb
  to main/q/qt4-x11/qt4-doc-html_4.7.3-6_all.deb
qt4-doc_4.7.3-6_all.deb
  to main/q/qt4-x11/qt4-doc_4.7.3-6_all.deb
qt4-linguist-tools_4.7.3-6_amd64.deb
  to main/q/qt4-x11/qt4-linguist-tools_4.7.3-6_amd64.deb
qt4-qmake_4.7.3-6_amd64.deb
  to main/q/qt4-x11/qt4-qmake_4.7.3-6_amd64.deb
qt4-qmlviewer_4.7.3-6_amd64.deb
  to main/q/qt4-x11/qt4-qmlviewer_4.7.3-6_amd64.deb
qt4-qtconfig_4.7.3-6_amd64.deb
  to main/q/qt4-x11/qt4-qtconfig_4.7.3-6_amd64.deb
qt4-x11_4.7.3-6.debian.tar.gz
  to main/q/qt4-x11/qt4-x11_4.7.3-6.debian.tar.gz
qt4-x11_4.7.3-6.dsc
  to main/q/qt4-x11/qt4-x11_4.7.3-6.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635724@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org> (supplier of updated qt4-x11 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 09 Aug 2011 18:27:34 +0200
Source: qt4-x11
Binary: libqtcore4 libqt4-core libqtgui4 libqt4-gui libqt4-network libqt4-opengl libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-ibase libqt4-sql-mysql libqt4-sql-odbc libqt4-sql-psql libqt4-sql-sqlite libqt4-sql-sqlite2 libqt4-sql-tds libqt4-svg libqt4-webkit libqt4-xml libqt4-xmlpatterns libqt4-dbus libqt4-qt3support libqt4-designer libqt4-help libqt4-assistant libqt4-test libqt4-phonon libqt4-declarative libqt4-declarative-folderlistmodel libqt4-declarative-gestures libqt4-declarative-particles libqt4-dev libqt4-private-dev libqt4-opengl-dev libqt4-dbg libqt4-designer-dbg libqt4-qt3support-dbg libqt4-script-dbg libqt4-webkit-dbg libqt4-xmlpatterns-dbg qt4-bin-dbg qt4-demos-dbg qt4-designer qt4-dev-tools qt4-qmake qt4-qtconfig qt4-demos qt4-qmlviewer qt4-linguist-tools qt4-doc qt4-doc-html
Architecture: source amd64 all
Version: 4:4.7.3-6
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Description: 
 libqt4-assistant - transitional package for Qt 4 assistant module
 libqt4-core - transitional package for Qt 4 core non-GUI runtime libraries
 libqt4-dbg - Qt 4 library debugging symbols
 libqt4-dbus - Qt 4 D-Bus module
 libqt4-declarative - Qt 4 Declarative module
 libqt4-declarative-folderlistmodel - Qt 4 folderlistmodel QML plugin
 libqt4-declarative-gestures - Qt 4 gestures QML plugin
 libqt4-declarative-particles - Qt 4 particles QML plugin
 libqt4-designer - Qt 4 designer module
 libqt4-designer-dbg - Qt 4 designer library debugging symbols
 libqt4-dev - Qt 4 development files
 libqt4-gui - transitional package for Qt 4 GUI runtime libraries
 libqt4-help - Qt 4 help module
 libqt4-network - Qt 4 network module
 libqt4-opengl - Qt 4 OpenGL module
 libqt4-opengl-dev - Qt 4 OpenGL library development files
 libqt4-phonon - Qt 4 Phonon module
 libqt4-private-dev - Qt 4 private development files
 libqt4-qt3support - Qt 3 compatibility library for Qt 4
 libqt4-qt3support-dbg - Qt 3 compatibility library for Qt 4 debugging symbols
 libqt4-script - Qt 4 script module
 libqt4-script-dbg - Qt 4 script library debugging symbols
 libqt4-scripttools - Qt 4 script tools module
 libqt4-sql - Qt 4 SQL module
 libqt4-sql-ibase - Qt 4 InterBase/FireBird database driver
 libqt4-sql-mysql - Qt 4 MySQL database driver
 libqt4-sql-odbc - Qt 4 ODBC database driver
 libqt4-sql-psql - Qt 4 PostgreSQL database driver
 libqt4-sql-sqlite - Qt 4 SQLite 3 database driver
 libqt4-sql-sqlite2 - Qt 4 SQLite 2 database driver
 libqt4-sql-tds - Qt 4 FreeTDS database driver
 libqt4-svg - Qt 4 SVG module
 libqt4-test - Qt 4 test module
 libqt4-webkit - transitional package for Qt 4 WebKit module
 libqt4-webkit-dbg - transitional package for Qt 4 WebKit debugging symbols
 libqt4-xml - Qt 4 XML module
 libqt4-xmlpatterns - Qt 4 XML patterns module
 libqt4-xmlpatterns-dbg - Qt 4 XML patterns library debugging symbols
 libqtcore4 - Qt 4 core module
 libqtgui4  - Qt 4 GUI module
 qt4-bin-dbg - Qt 4 binaries debugging symbols
 qt4-demos  - Qt 4 examples and demos
 qt4-demos-dbg - Qt 4 examples and demos debugging symbols
 qt4-designer - graphical designer for Qt 4 applications
 qt4-dev-tools - Qt 4 development tools
 qt4-doc    - Qt 4 API documentation
 qt4-doc-html - Qt 4 API documentation (HTML format)
 qt4-linguist-tools - Qt 4 Linguist tools
 qt4-qmake  - Qt 4 qmake Makefile generator tool
 qt4-qmlviewer - Qt 4 QML viewer
 qt4-qtconfig - Qt 4 configuration tool
Closes: 635724 636544
Changes: 
 qt4-x11 (4:4.7.3-6) unstable; urgency=low
 .
   [ Pino Toscano ]
   * Add patch Check-if-the-interpolators-have-already-been-deleted.patch
     to fix QVariantAnimation::registerInterpolator() crash during global dtors
     run. (Closes: #635724)
   * Add patch s390x_jscore.diff to add s390/s390x support in JavaScriptCore.
     (Closes: #636544)
   * Compile using the linux-g++-64 mkspec on s390x.
   * Improve wording in description of qt4-qmlviewer.
Checksums-Sha1: 
 82a0346dfb72a20bef433fa777229d1e2ab01fa7 3605 qt4-x11_4.7.3-6.dsc
 085ee635ac19301a947e0312c64e6285d74f3103 391912 qt4-x11_4.7.3-6.debian.tar.gz
 44e88c65462e793cfcb2dec854d942035524c438 2789342 libqtcore4_4.7.3-6_amd64.deb
 b5ef83f717e1cafaba721a64b3813190c5bd20f2 38664 libqt4-core_4.7.3-6_amd64.deb
 be5784fc4c22fcf4901f803a808d2c271ac9d920 5155198 libqtgui4_4.7.3-6_amd64.deb
 84ba36c7bc3736f42ab2e7f88d81370d7fec2e6a 38656 libqt4-gui_4.7.3-6_amd64.deb
 75637772b04294f6a0b0964c6a3cc79bfb25786b 735426 libqt4-network_4.7.3-6_amd64.deb
 9649e2d2175d564088f6496bef95579e1b0092c1 387888 libqt4-opengl_4.7.3-6_amd64.deb
 46c4870a7f7aeb3566380305732473c97e7c25ac 1048818 libqt4-script_4.7.3-6_amd64.deb
 3d71f29e2d018a935bbff867824d022538c0e01f 314230 libqt4-scripttools_4.7.3-6_amd64.deb
 039952b11dfe89f3e3d9055ed2c339fa9be9be1e 150868 libqt4-sql_4.7.3-6_amd64.deb
 76e449968c09957d45aa818e74a04b7f35cfb002 84744 libqt4-sql-ibase_4.7.3-6_amd64.deb
 de5172079faff1943319e232a0ffa8a15dd15822 68104 libqt4-sql-mysql_4.7.3-6_amd64.deb
 9077b722964062ae3b4cb209117eb0eebaeabe69 85760 libqt4-sql-odbc_4.7.3-6_amd64.deb
 cee406e441468f46c312a651598957e1690ae2c8 72702 libqt4-sql-psql_4.7.3-6_amd64.deb
 4e8334176a9543fe6360933a418dbf2bc87179cd 59264 libqt4-sql-sqlite_4.7.3-6_amd64.deb
 e33c99d497149d9f7cf9faa23a8008be9e4c95cd 55216 libqt4-sql-sqlite2_4.7.3-6_amd64.deb
 e1294bbac16b82b7fb7a6f061c6eb092c03e3548 61356 libqt4-sql-tds_4.7.3-6_amd64.deb
 d47132f0772a1053e497b9ebbfd36be6ec861fbf 209966 libqt4-svg_4.7.3-6_amd64.deb
 9b59338120d0a41af7915735cd92072762ac3fb7 38632 libqt4-webkit_4.7.3-6_amd64.deb
 2624d79ad621134e5ae8528ec77967ccaf09da01 147584 libqt4-xml_4.7.3-6_amd64.deb
 56d84d47ee1f9d533fd101900176291542e86929 1519966 libqt4-xmlpatterns_4.7.3-6_amd64.deb
 51236288bc3f73e923edb50a5bbee7dee8d6199f 276186 libqt4-dbus_4.7.3-6_amd64.deb
 3a71697cad1d452694e438f32618f93e4f4d2090 1378772 libqt4-qt3support_4.7.3-6_amd64.deb
 0ef3708dacf2dad44e50a196e23b301c7d76ca6d 4530606 libqt4-designer_4.7.3-6_amd64.deb
 be9987313405ecbe8245d3b8762465f5945e1284 283178 libqt4-help_4.7.3-6_amd64.deb
 a7363a30f5158a3f535d6b6f6ebb69e5624777a9 38634 libqt4-assistant_4.7.3-6_amd64.deb
 17fc815a668f5d5a5d708ee503641b0e90c11bcc 99518 libqt4-test_4.7.3-6_amd64.deb
 5537adbe5f01063c1d1fb9bf317827bef7e95fd9 194778 libqt4-phonon_4.7.3-6_amd64.deb
 6d4c450b9894dd26dbf41b27fbc12d0b41af80cc 1327114 libqt4-declarative_4.7.3-6_amd64.deb
 dc71fe083980bb72545a2a88dec5bdc18631cb3c 54322 libqt4-declarative-folderlistmodel_4.7.3-6_amd64.deb
 aa4df10c9df6bb02dd5ed56524b974313acc0cdc 57740 libqt4-declarative-gestures_4.7.3-6_amd64.deb
 36b0482a684613b68c2091076a697b3d73ca4f75 64188 libqt4-declarative-particles_4.7.3-6_amd64.deb
 7c08e83dcd8c687c7b91c586d1dc2106a050bfc0 4468586 libqt4-dev_4.7.3-6_amd64.deb
 c89dd2f9923ede5d067c08e647e1b904217449ba 705482 libqt4-private-dev_4.7.3-6_amd64.deb
 0ce450a7633957d599ac3ed6d67b2dbf3c769e32 58006 libqt4-opengl-dev_4.7.3-6_amd64.deb
 a5621bcc90f22e933eb8c6d82195d0deee88df3d 105435464 libqt4-dbg_4.7.3-6_amd64.deb
 ebc9ae6ef9d306cbb5e43ad2f60aad50a435802f 42078366 libqt4-designer-dbg_4.7.3-6_amd64.deb
 ddc77725d5c4f0d43a1de8c0a1e8760c66b4b041 13656362 libqt4-qt3support-dbg_4.7.3-6_amd64.deb
 aa4474d467c187c075a31ee441233151e3ab13d1 18598808 libqt4-script-dbg_4.7.3-6_amd64.deb
 f1508f7df3f4ac9e132cf628593d7529cae835f4 38616 libqt4-webkit-dbg_4.7.3-6_amd64.deb
 d8ebf8f7a3625e6cefb164e929880f9095b9fe69 29199156 libqt4-xmlpatterns-dbg_4.7.3-6_amd64.deb
 5b03105ed11ae0f1262dcbb74f20837541fa9ef2 43004514 qt4-bin-dbg_4.7.3-6_amd64.deb
 08b8ddbf357f2d963406493977c34d9ac0da4f5e 102497696 qt4-demos-dbg_4.7.3-6_amd64.deb
 ec9ae210effe83cca63f9c31538da3d4c96fb600 610474 qt4-designer_4.7.3-6_amd64.deb
 5e25e340e2e2025dcf8b78dcd094034c7a35f05c 4701988 qt4-dev-tools_4.7.3-6_amd64.deb
 dbeb243d868817cfe9796612c541fd6e4f07bcd0 1653048 qt4-qmake_4.7.3-6_amd64.deb
 dd01f54a2242cada477c71b053a06799748a934f 173280 qt4-qtconfig_4.7.3-6_amd64.deb
 20024951dc1dd0a924b113539ff40ce7bb4226e9 16212936 qt4-demos_4.7.3-6_amd64.deb
 84cdc0c049a300c5ee21433a44ba7097a74c062b 203126 qt4-qmlviewer_4.7.3-6_amd64.deb
 37d0bbe8651e95bcd3e3951dc918e63fd800bbb9 1148174 qt4-linguist-tools_4.7.3-6_amd64.deb
 7c52bb29711085d73b73beb08c21c0554df1802b 100275330 qt4-doc_4.7.3-6_all.deb
 f0d198c3d98cd159ac8e071945667f327c6aecc2 50082650 qt4-doc-html_4.7.3-6_all.deb
Checksums-Sha256: 
 1850f1c2010936551d21043d5190e7258ce9c05126ad8549ca6374e3854a9bf7 3605 qt4-x11_4.7.3-6.dsc
 93d01d453f230fe3b80c51271cbad70bff496cb981ec286cc46d7a2cb58f8f92 391912 qt4-x11_4.7.3-6.debian.tar.gz
 1610b1917a571996d0cf6b039ee04a17efbad7352045a741d956b90af4aeed48 2789342 libqtcore4_4.7.3-6_amd64.deb
 8d385df8f5f8ef422a7f1c0fed59d1e41d1ad3016494aca55d772bb358b7e154 38664 libqt4-core_4.7.3-6_amd64.deb
 475f4c172717809f56d54e907a5721222554809269cf7bd8a7690abd5c788eb9 5155198 libqtgui4_4.7.3-6_amd64.deb
 69faa81c15b1ad2276827b109900ec0956a2720719eac2ba6ba754fa502a0fd3 38656 libqt4-gui_4.7.3-6_amd64.deb
 8dca68f6df0847c1eac8571fcc4c986c69efc9a02abef82b77ee54831afaafd6 735426 libqt4-network_4.7.3-6_amd64.deb
 5d79464c99fdbe5d49d9b335426f8aa652229de1a6c29bab0c37de00c6688d23 387888 libqt4-opengl_4.7.3-6_amd64.deb
 ae3ce8b433a35c47884be3cfda0e832d10819b72aa405bd31efc1d6db5040548 1048818 libqt4-script_4.7.3-6_amd64.deb
 ce53763458ecc9513c617b166beae1d00814370153a055ca5a82ff3ee1fe8ef5 314230 libqt4-scripttools_4.7.3-6_amd64.deb
 0b4e56448262048df69575e79b955567945c12c19df64471f64bd56c65adf276 150868 libqt4-sql_4.7.3-6_amd64.deb
 2e0552267a6153a460deff48e337172e50f6c82f7e1571bd390081a81ef8503b 84744 libqt4-sql-ibase_4.7.3-6_amd64.deb
 522413bc92035b160b20ac6bc280601858462e4e3f38bf1361fc6c8ab4702dbb 68104 libqt4-sql-mysql_4.7.3-6_amd64.deb
 00e774d225ab59672065d8bec9017514d5de57af991cbf821973a92e10c47ab3 85760 libqt4-sql-odbc_4.7.3-6_amd64.deb
 0c89d544c888f13308aedebc40d2cea9613b6a431ce43d07424769edc0693160 72702 libqt4-sql-psql_4.7.3-6_amd64.deb
 e6ff490358ce1d5ac4bfd9fef8f030060095b75750a535225657e74137864c1c 59264 libqt4-sql-sqlite_4.7.3-6_amd64.deb
 8de90f4373129a75aeca7f463711670390f4adc72c0268985a950b2fea6ceee9 55216 libqt4-sql-sqlite2_4.7.3-6_amd64.deb
 3f61c2684c059df14a0a3abd73438b75e649ef9d73eb2bf214ef14ab30b749c1 61356 libqt4-sql-tds_4.7.3-6_amd64.deb
 bf1ab536db47f385c3186813580223e63f372bbf78c25a039d78431c04413510 209966 libqt4-svg_4.7.3-6_amd64.deb
 08d3cc3e921a2e27acb3cf29c64188884b97466cec862363e62919dce0f4cdb5 38632 libqt4-webkit_4.7.3-6_amd64.deb
 a5cf7d400bb077e493410e0659cd1d9c235f22e7c6df0063227dacb4cd592e62 147584 libqt4-xml_4.7.3-6_amd64.deb
 7f6de7052883549b420607e7c3486205729d29a7654a5d6a99035a1f2ad9f290 1519966 libqt4-xmlpatterns_4.7.3-6_amd64.deb
 ed80c6995a40a018f1363a63404ac00e7f7cea154bf72e2ddc74ed0211ea6621 276186 libqt4-dbus_4.7.3-6_amd64.deb
 c4e5b4908a1cb894e486c18cd62ff8d543bd6a9b99ba67d37622951e590d9585 1378772 libqt4-qt3support_4.7.3-6_amd64.deb
 7525e38e0c58672f5ab9581e38670e59f792b1a68d0a1a3ffddf19bb5281d9cf 4530606 libqt4-designer_4.7.3-6_amd64.deb
 b09842c5d907e4fc090b2f15c60fb1c388e053bd23473482f1a88a6640ea9122 283178 libqt4-help_4.7.3-6_amd64.deb
 862ec1adff0f0a64355037008f9aea4000767c32d264e06902374bbf5908a123 38634 libqt4-assistant_4.7.3-6_amd64.deb
 fd8d80166768fc2eb23ea7f626fd0da25bd959bdf86d5a4d8d965d4098b37e5d 99518 libqt4-test_4.7.3-6_amd64.deb
 c71268bc23d48823e9f5074160115b61153ebc22e3b9c4cc6607c4faeda1ce10 194778 libqt4-phonon_4.7.3-6_amd64.deb
 db31266d72bdd2b048645088aaacba33ca4adaa307cb8a87f482919f9bfaaca4 1327114 libqt4-declarative_4.7.3-6_amd64.deb
 910e66515fb83b4310a0c4b6c8723cdbf66a92ef77aeb479d13d0a0ac513668e 54322 libqt4-declarative-folderlistmodel_4.7.3-6_amd64.deb
 76b91f245db40226935a41fa4e45ae0973c8ce5846ac77da84af2a99a5745340 57740 libqt4-declarative-gestures_4.7.3-6_amd64.deb
 fdade1e866561cfdb3d537ef899daebcd65d4444b419dc1c32ba0b5ee515aa37 64188 libqt4-declarative-particles_4.7.3-6_amd64.deb
 633b7d4e9ff55f6cb31d0f0faf940856b3c0c947dda35193785b092bfd234556 4468586 libqt4-dev_4.7.3-6_amd64.deb
 8668e1edaa55b801043688c0f7a36283afbc248863c31038ff5aeebe8fb4294e 705482 libqt4-private-dev_4.7.3-6_amd64.deb
 1298fc405f286ce7a6ed6c943e54e1f9f270a6486d0c84c6d3f6dec35b7a74e4 58006 libqt4-opengl-dev_4.7.3-6_amd64.deb
 b2d112545aad195b658ccc1a80f7f188dcf87d00f42704ee51ac0337733dad5c 105435464 libqt4-dbg_4.7.3-6_amd64.deb
 29e122cc23ee47341113e502b89b190b07204c3d4f0c282e917b34198efca726 42078366 libqt4-designer-dbg_4.7.3-6_amd64.deb
 8c78f139eb2d0d232a53ba1c8a9873d29436707f065c0eadd95863384f50eb73 13656362 libqt4-qt3support-dbg_4.7.3-6_amd64.deb
 1399a7f22da48544dd10c630b6868850a0a7e13c6cf369481bf9b2603713f3e3 18598808 libqt4-script-dbg_4.7.3-6_amd64.deb
 a2436582b05a72598ae14698c16e49003a7a352484ee64ec8bd7b5d06949edb2 38616 libqt4-webkit-dbg_4.7.3-6_amd64.deb
 c30afca4b2e8cd93831f73411e77e77a592460725b10e1f96ecb33963eb00f72 29199156 libqt4-xmlpatterns-dbg_4.7.3-6_amd64.deb
 d09e8ad0d5594f20aea3e0fd8fd3ff35a07f380e0d729731b0447e5fcebce1c0 43004514 qt4-bin-dbg_4.7.3-6_amd64.deb
 df5e1bd5e4b1f1abd74acc9a0efaf677550aec779abcbceaabdee59236f92d72 102497696 qt4-demos-dbg_4.7.3-6_amd64.deb
 fcb6615267097fc6fc072b4d035ace6e5b77c95e1f20547907d7c2b658779bec 610474 qt4-designer_4.7.3-6_amd64.deb
 1c433fb8812239d26d09e27563d8ab53e189ad5f69085070cc010d11b69a1cac 4701988 qt4-dev-tools_4.7.3-6_amd64.deb
 fce0235fe203f9fb19ca8448f92594c779a18c1a5ddf914e9cd372e6ce82ae94 1653048 qt4-qmake_4.7.3-6_amd64.deb
 77a725fbfe93bc6b31e9c225ce6a2b42003b294f82e35bf66ecd33bcfbab4bf1 173280 qt4-qtconfig_4.7.3-6_amd64.deb
 3588ba422b204f9f35f31ba8fee72d7803e95d9d1f1ad845d811a7ad82c1109e 16212936 qt4-demos_4.7.3-6_amd64.deb
 50b56604064f7035fb15d1ca5605a7d25cf9b2c63df958cdb1fd5c685d0e6af6 203126 qt4-qmlviewer_4.7.3-6_amd64.deb
 dc04ebd80f85c7b9cd8ef0bd9eb58a9991562734d8a571e09d1ef920cb8425b1 1148174 qt4-linguist-tools_4.7.3-6_amd64.deb
 2be1a93b630c62311c40bd4ebec26f2d4ea7d3511a56b20e5d26204ee6a5ca23 100275330 qt4-doc_4.7.3-6_all.deb
 1e558db114eb8b4820971917438180e484444a1a8336e495cb86be0bfff8c286 50082650 qt4-doc-html_4.7.3-6_all.deb
Files: 
 924b9456e6678ab974b3e2d9e3e2e657 3605 libs optional qt4-x11_4.7.3-6.dsc
 ddc19e65930a24dec26a1e257d3f959d 391912 libs optional qt4-x11_4.7.3-6.debian.tar.gz
 f9359564945ab96fcf54f6e6eef5dc98 2789342 libs optional libqtcore4_4.7.3-6_amd64.deb
 62401ddfd302cc8afce42b0507685c32 38664 libs optional libqt4-core_4.7.3-6_amd64.deb
 123aee28b51942b102261dbbeb374331 5155198 libs optional libqtgui4_4.7.3-6_amd64.deb
 db961b90d2ed49f29317cc227e9ffde3 38656 libs optional libqt4-gui_4.7.3-6_amd64.deb
 55b8b7f517d33cbd0643f5d27435067e 735426 libs optional libqt4-network_4.7.3-6_amd64.deb
 805d265197c7fc0d5eedf7462782cf99 387888 libs optional libqt4-opengl_4.7.3-6_amd64.deb
 8f5b643554d53d5aff2e21260db8d672 1048818 libs optional libqt4-script_4.7.3-6_amd64.deb
 badd7fb7a8eb6a9ab94325446cf4579b 314230 libs optional libqt4-scripttools_4.7.3-6_amd64.deb
 f9bc19de4854e275e32ea528ec2def70 150868 libs optional libqt4-sql_4.7.3-6_amd64.deb
 57ce4cab31cb73d78de099079e1e4eba 84744 libs optional libqt4-sql-ibase_4.7.3-6_amd64.deb
 447701226d605053f6137769261175cd 68104 libs optional libqt4-sql-mysql_4.7.3-6_amd64.deb
 57b073f3e11815a4eb6826316f3a620e 85760 libs optional libqt4-sql-odbc_4.7.3-6_amd64.deb
 204cc80c6cd37c3b1eb0e2d2fc6a8eac 72702 libs optional libqt4-sql-psql_4.7.3-6_amd64.deb
 a0602e468c5b27845f7b395c7260fa6f 59264 libs optional libqt4-sql-sqlite_4.7.3-6_amd64.deb
 1058c9e4729781b6a83134dbd17cef8f 55216 libs optional libqt4-sql-sqlite2_4.7.3-6_amd64.deb
 1690ba4323034e75fbb7010780752c57 61356 libs optional libqt4-sql-tds_4.7.3-6_amd64.deb
 adc010481a352dbf3f69fe9c58a5f4b7 209966 libs optional libqt4-svg_4.7.3-6_amd64.deb
 a089ec87c59eb150fb3dd0e1458aa53c 38632 libs optional libqt4-webkit_4.7.3-6_amd64.deb
 3aa7f19b5c2bd7e53ea7c6b3294cdca8 147584 libs optional libqt4-xml_4.7.3-6_amd64.deb
 76b30ff2d1895bf655126600efdaf316 1519966 libs optional libqt4-xmlpatterns_4.7.3-6_amd64.deb
 0dd67fa6ce29272d8dfd81fb1ea29590 276186 libs optional libqt4-dbus_4.7.3-6_amd64.deb
 1f62c37969b43d5886a8c5b8b503d281 1378772 libs optional libqt4-qt3support_4.7.3-6_amd64.deb
 430d68dcfb2a66a8e36619c5725098a3 4530606 libs optional libqt4-designer_4.7.3-6_amd64.deb
 7436b9bec101e2c1b401f6bf5762b4f9 283178 libs optional libqt4-help_4.7.3-6_amd64.deb
 665ee71910f88cf20b1021e62e21f34a 38634 libs optional libqt4-assistant_4.7.3-6_amd64.deb
 176cb47dbc931613f06af368358265a6 99518 libs optional libqt4-test_4.7.3-6_amd64.deb
 015257a90002a6820ffc0cd83367e25f 194778 libs optional libqt4-phonon_4.7.3-6_amd64.deb
 80e8d2a2d22c0de46d0e1b741744c898 1327114 libs optional libqt4-declarative_4.7.3-6_amd64.deb
 369c3ae306e16234dee8d77c80634c7a 54322 libs optional libqt4-declarative-folderlistmodel_4.7.3-6_amd64.deb
 dac9f62eb29cecbd74b51d4755639e4f 57740 libs optional libqt4-declarative-gestures_4.7.3-6_amd64.deb
 6d8b61844778c266c4d074e3dd611204 64188 libs optional libqt4-declarative-particles_4.7.3-6_amd64.deb
 b23b6ab6fe38a0917be7a8278bb86c2f 4468586 libdevel optional libqt4-dev_4.7.3-6_amd64.deb
 12d070ff000d71a2919c2df6d9eca4d9 705482 libdevel optional libqt4-private-dev_4.7.3-6_amd64.deb
 40ef852cdcdf24d008038c556f02ed33 58006 libdevel optional libqt4-opengl-dev_4.7.3-6_amd64.deb
 30dd95c1a279f40a2dcf8cc5705f0aac 105435464 debug extra libqt4-dbg_4.7.3-6_amd64.deb
 6cf338023f97d4c31ca94e24669e4d20 42078366 debug extra libqt4-designer-dbg_4.7.3-6_amd64.deb
 cc184536f560b610b89c3b6b8c504056 13656362 debug extra libqt4-qt3support-dbg_4.7.3-6_amd64.deb
 ef590d418159312915337bc6a526520f 18598808 debug extra libqt4-script-dbg_4.7.3-6_amd64.deb
 4a373f0b0e343e6fec85b2cc6520d287 38616 debug extra libqt4-webkit-dbg_4.7.3-6_amd64.deb
 01086ca3803939095c1e597f8913e9a9 29199156 debug extra libqt4-xmlpatterns-dbg_4.7.3-6_amd64.deb
 2f00cdd508260b0cf9c826ca52d88484 43004514 debug extra qt4-bin-dbg_4.7.3-6_amd64.deb
 1f8a7efaec4f81a11e16e8fe017a1555 102497696 debug extra qt4-demos-dbg_4.7.3-6_amd64.deb
 a5e194b63d74696d3d20256d1022328f 610474 devel optional qt4-designer_4.7.3-6_amd64.deb
 71d0c269c1c4ccbb9df4383180e4ad42 4701988 devel optional qt4-dev-tools_4.7.3-6_amd64.deb
 18a854bb551e6caa61126c44244ca50e 1653048 devel optional qt4-qmake_4.7.3-6_amd64.deb
 298c154983981a97a89da0b448d018c3 173280 x11 optional qt4-qtconfig_4.7.3-6_amd64.deb
 628071fb4096803252641cac55a34b1d 16212936 x11 optional qt4-demos_4.7.3-6_amd64.deb
 97fd1080d8eaa0b23238b3cb753b7b9a 203126 devel optional qt4-qmlviewer_4.7.3-6_amd64.deb
 5ef8c4bb440a3010b5467a604da16695 1148174 devel optional qt4-linguist-tools_4.7.3-6_amd64.deb
 a306458db28cdc47318eff93237fc309 100275330 doc optional qt4-doc_4.7.3-6_all.deb
 4acb0219204a50219f93a85934b012a1 50082650 doc optional qt4-doc-html_4.7.3-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJOQkPOAAoJELNGT4lqoVlIkMoQAItKxiFsTTeqV2q7NE6Ka+dr
giQvqLUXdqKXz8S5KQT45zKMezDejcAmJ88pxoUrxdSBQIr+MheoORiQy/n+DEBh
KptB1K4O1bUKa/1ITGCYreunnub6KeYOt/ToSJk6GkBvu4qhqRXGJbe99U1nThdI
9THgekZWMsgpOgMv1G+gwllVYsiI7y6J6vAv0SFFsgl9WbbR+5IBOI8QY+o3GLXe
TLHUpNHVRNw2h+Pgo6QerX409keH1TxtogiOpfLrXgv+MwZHTfkd/mrygRdgd2Bn
iWRnDJ7dy1G28KfhLylMYM3V8bVxg+0EhoiCH9aj5hbUhyZuy4TvIBLa31uAtCv9
6vkQncMh8goZOaXl1PoKx4iak+gHqW3E4e/sf5Bq536hpAdyAb+yfar3KVuN8tIQ
lc30dl95zB10DPWilDWR1R0Z1I8/mCL9X1x7vRbhJX/hqwUHvgOD12CAu3lj1yA0
NdSZaH/VucbK3fWXQ4ZZqJLFOWarDJYHYYsg3UTLyGwUu1EDZ6rxqZUFgjOFnFDU
sTLRiFLdNZnp0+y52M6BUM1HEW5T99mBAKaTAZphuFyorjB9VN/VZgHcw1aecAvE
pFhshu8wK2kyEWjUZbHFjxYr2Jxj5FXxrhHSCcdAIkJE5IiAQtzbblbNl2seF4zW
R0Tm1XThpfVP6OhJ9qbP
=WxBp
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#635724; Package libqt4-gui,vlc. (Wed, 10 Aug 2011 12:20:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 10 Aug 2011 12:21:47 GMT) Full text and rfc822 format available.

Message #80 received at 635724@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: debian-wb-team@lists.debian.org
Cc: 635724@bugs.debian.org
Subject: Re: Bug#635724: marked as done (vlc: FTBFS (kfreebsd-i386) Segmentation fault (core dumped) ../bin/vlc-cache-gen .)
Date: Wed, 10 Aug 2011 14:09:21 +0200
Hi,

now with qt4-x11 fixed, I'm very confident that vlc can be built again
on kfreebsd-i386. Can you therefore please set a dep-wait for vlc on
qt4-x11 version 4:4.7.3-6? I believe the syntax is:

dw vlc_1.1.11-2 . kfreebsd-i386 . -m 'qt4-x11 (>= 4:4.7.3-6)'

Cheers

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#635724; Package libqt4-gui,vlc. (Thu, 11 Aug 2011 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 11 Aug 2011 17:27:03 GMT) Full text and rfc822 format available.

Message #85 received at 635724@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Reinhard Tartler <siretart@tauware.de>, 635724@bugs.debian.org
Cc: debian-wb-team@lists.debian.org
Subject: Re: Bug#635724: marked as done (vlc: FTBFS (kfreebsd-i386) Segmentation fault (core dumped) ../bin/vlc-cache-gen .)
Date: Thu, 11 Aug 2011 19:26:06 +0200
On Wed, Aug 10, 2011 at 14:09:21 +0200, Reinhard Tartler wrote:

> Hi,
> 
> now with qt4-x11 fixed, I'm very confident that vlc can be built again
> on kfreebsd-i386. Can you therefore please set a dep-wait for vlc on
> qt4-x11 version 4:4.7.3-6? I believe the syntax is:
> 
> dw vlc_1.1.11-2 . kfreebsd-i386 . -m 'qt4-x11 (>= 4:4.7.3-6)'
> 
I didn't see this mail until now, but I gave back vlc on ki earlier
today, and it built.

Cheers,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Sep 2011 07:30:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:56:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.